TOXIC.CONF(5)

NAME
toxic.conf - Configuration file for toxic(1)

DESCRIPTION
The toxic.conf file is the main configuration file for toxic(1) client.

SYNTAX
<SECTION> = {

<KEY1>=<VALUE1>;
<KEY2>=<VALUE2>;
 ...

};

Uses syntax accepted by libconfig.
Lines starting with "//" are comments and will be ignored.

Sections:

ui
    Configurations related to user interface elements.

    Keys:
    timestamps
        Enable or disable timestamps.
        Values: 'true' to enable, 'false' to disable

    alerts
        Enable or disable terminal alerts on events.
        Values: 'true' to enable, 'false' to disable

    native_colors
        Select between native terminal colors and toxic color theme.
        Values: 'true' for terminal colours, 'false' for toxic colours

    autolog
        Enable or disable autologging.
        Values: 'true' to enable, 'false' to disable

    time_format
        Select between 24 and 12 hour time.
        Values: 24, 12

    show_typing_other
        Show you when others are typing in a 1-on-1 chat
        Values: 'true' to enable, 'false' to disable

    show_typing_self
        Show others when you're typing in a 1-on-1 chat
        Values: 'true' to enable, 'false' to disable

    history_size
        Maximum lines for chat window history.
        Values: <INTEGER> (for example: 700)

audio
    Configurations related to audio devices.

    Keys:
    input_device
        Audio input device.
        Values: <INTEGER> (number correspond to "/lsdev in")

    output_device
        Audio output device.
        Values: <INTEGER> (number correspond to "/lsdev out")

    VAD_treshold
        Voice Activity Detection treshold.
        Values: <FLOAT> (recommended values are around 40.0)

tox
    Configurations related to file transfer.

    Keys:
    download_path
        Default path for downloads.
        Values: <STRING> (absolute path where to store downloaded files)

sounds
    Configurations related to notification sounds.
    (Special value "silent" can be used to disable a specific notification)

    Keys:
    error
        Sound to play when an error occurs.
        Values: <STRING> (sound file absolute path)

    self_log_in
        Sound to play when you log in.
        Values: <STRING> (sound file absolute path)

    self_log_out
        Sound to play when you log out.
        Values: <STRING> (sound file absolute path)

    user_log_in
        Sound to play when a contact become online.
        Values: <STRING> (sound file absolute path)

    user_log_out
        Sound to play when a contact become offline.
        Values: <STRING> (sound file absolute path)

    call_incoming
        Sound to play when you receive an incoming call.
        Values: <STRING> (sound file absolute path)

    call_outgoing
        Sound to play when you start a call.
        Values: <STRING> (sound file absolute path)

    generic_message
        Sound to play when an event occurs.
        Values: <STRING> (sound file absolute path)

    transfer_pending
        Sound to play when you receive a file transfer request.
        Values: <STRING> (sound file absolute path)

    transfer_completed
        Sound to play when a file transfer is completed.
        Values: <STRING> (sound file absolute path)

keys
    Configurations related to user interface interaction.
    (Currently supported: Ctrl modified keys, Tab, PAGEUP and PAGEDOWN (case insensitive))

    Keys:
    next_tab
        Key combination to switch next tab.
        Values: <STRING> (key combination)

    prev_tab
        Key combination to switch previous tab.
        Values: <STRING> (key combination)

    scroll_line_up
        Key combination to scroll one line up.
        Values: <STRING> (key combination)

    scroll_line_down
        Key combination to scroll one line down.
        Values: <STRING> (key combination)

    half_page_up
        Key combination to scroll half page up.
        Values: <STRING> (key combination)

    half_page_down
        Key combination to scroll half page down.
        Values: <STRING> (key combination)

    page_bottom
        Key combination to scroll to page bottom.
        Values: <STRING> (key combination)

    peer_list_up
        Key combination to scroll contacts list up.
        Values: <STRING> (key combination)

    peer_list_down
        Key combination to scroll contacts list down.
        Values: <STRING> (key combination)

EXAMPLES
Default settings from __DATADIR__/toxic.conf.exmaple:

// SAMPLE TOXIC CONFIGURATION
// USES LIBCONFIG-ACCEPTED SYNTAX
ui = {
      // true to enable timestamps, false to disable
      timestamps=true;
      // true to enable terminal alerts on messages, false to disable
      alerts=true;
      // true to use native terminal colours, false to use toxic default colour theme
      native_colors=false;
      // true to enable autologging, false to disable
      autolog=false;
      // 24 or 12 hour time
      time_format=24;
      // true to show you when others are typing a message in 1-on-1 chats
      show_typing_other=true;
      // true to show others when you're typing a message in 1-on-1 chats
      show_typing_self=true;
      // maximum lines for chat window history
      history_size=700;
};

audio = {
      // preferred audio input device; numbers correspond to /lsdev in
      input_device=2;
      // preferred audio output device; numbers correspond to /lsdev out
      output_device=0;
      // default VAD treshold; float (recommended values are around 40)
      VAD_treshold=40.0;
};

tox = {
      // where to store received files
      //download_path="/home/USERNAME/Downloads/";
};

// To disable a sound set the path to "silent"
sounds = {
      error="__DATADIR__/sounds/Error.wav";
      self_log_in="__DATADIR__/sounds/LogIn.wav";
      self_log_out="__DATADIR__/sounds/LogOut.wav";
      user_log_in="__DATADIR__/sounds/ContactLogsIn.wav";
      user_log_out="__DATADIR__/sounds/ContactLogsOut.wav";
      call_incoming="__DATADIR__/sounds/IncomingCall.wav";
      call_outgoing="__DATADIR__/sounds/OutgoingCall.wav";
      generic_message="__DATADIR__/sounds/NewMessage.wav";
      transfer_pending="__DATADIR__/sounds/TransferPending.wav";
      transfer_completed="__DATADIR__/sounds/TransferComplete.wav";
};

// Currently supported: Ctrl modified keys, Tab, PAGEUP and PAGEDOWN (case insensitive)
// Note: All printable keys register as input
keys = {
      next_tab="Ctrl+P";
      prev_tab="Ctrl+O";
      scroll_line_up="PAGEUP";
      scroll_line_down="PAGEDOWN";
      half_page_up="Ctrl+F";
      half_page_down="Ctrl+V";
      page_bottom="Ctrl+H";
      peer_list_up="Ctrl+[";
      peer_list_down="Ctrl+]";
};

FILES

~/.config/tox/toxic.conf
    Main configuration file.

__DATADIR__/toxic.conf.example
    Configuration example.

AUTHORS
JFreegman <JFreegman@gmail.com>

SEE ALSO
toxic(1)

LINKS
Project page on github: https://github.com/Tox/toxic
IRC channel on Freenode: chat.freenode.net#tox